--- old/usr/src/uts/common/crypto/io/arcfour.c	sam. juil. 16 15:13:40 2016
+++ new/usr/src/uts/common/crypto/io/arcfour.c	sam. juil. 16 15:13:40 2016
@@ -50,8 +50,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -114,23 +114,23 @@
 };
 
 static crypto_ops_t rc4_crypto_ops = {
-	&rc4_control_ops,
-	NULL,
-	&rc4_cipher_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&rc4_ctx_ops
+	.co_control_ops = &rc4_control_ops,
+	.co_digest_ops = NULL,
+	.co_cipher_ops = &rc4_cipher_ops,
+	.co_mac_ops = NULL,
+	.co_sign_ops = NULL,
+	.co_verify_ops = NULL,
+	.co_dual_ops = NULL,
+	.co_dual_cipher_mac_ops = NULL,
+	.co_random_ops = NULL,
+	.co_session_ops = NULL,
+	.co_object_ops = NULL,
+	.co_key_ops = NULL,
+	.co_provider_ops = NULL,
+	.co_ctx_ops = &rc4_ctx_ops
 };
 
-static crypto_provider_info_t rc4_prov_info = {
+static crypto_provider_info_t rc4_prov_info = {{{{
 	CRYPTO_SPI_VERSION_1,
 	"RC4 Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -139,7 +139,7 @@
 	&rc4_crypto_ops,
 	sizeof (rc4_mech_info_tab)/sizeof (crypto_mech_info_t),
 	rc4_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t rc4_prov_handle = NULL;
 
